<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Table Library</h1>

		<p>The table library provides an interface to auto-generate HTML tables from arrays or database result sets.</p>
	</div>

	<div class="content">
		<h1>Example Tables</h1>

		<p>This is an example showing how you can generate a table from a multi-dimensional array.  The first array
		index must be the headings for the table cells.  You can also use <b>set_heading()</b> to set table cell
		headings.</p>

		<div class="example">
			$this->load->library('table');<br />
			<br />
			$data = array(<br />
			&nbsp;&nbsp;&nbsp;&nbsp;array('Name, 'Colour', 'Size'),<br />
			&nbsp;&nbsp;&nbsp;&nbsp;array('Charlie', 'Blue', 'Small'),<br />
			&nbsp;&nbsp;&nbsp;&nbsp;array('Emily', 'Green', 'Medium'),<br />
			&nbsp;&nbsp;&nbsp;&nbsp;array('Simon', 'Red', 'Large')<br />
			);<br />
			<br />
			echo $this->table->generate($data);
		</div>

		<p>You can also generate tables from database query results.  The table class will automatically generate
		table headings based on the field names of the table.  You can also use the <b>set_heading()</b> method.</p>

		<div class="example">
			$this->load->library('table');<br />
			<br />
			$query = $this->db->query('SELECT * FROM `some_table`');<br />
			<br />
			echo $this->table->generate($query);
		</div>

		<p>You can also generate tables by individually passing the parameters to methods.</p>

		<div class="example">
			$this->load->library('table');<br />
			<br />
			$this->table->set_heading('Name, 'Colour', 'Size');<br />
			<br />
			$this->table->add_row('Charlie', 'Blue', 'Small');<br />
			$this->table->add_row('Emily', 'Green', 'Medium');<br />
			$this->table->add_row('Simon', 'Red', 'Large');<br />
			<br />
			echo $this->table->generate();
		</div>
	</div>

	<div class="content">
		<h1>Changing the Table Template</h1>

		<p>The table library allows you to change the template that the library uses to generate the table layout.</p>

		<div class="example">
			$template = array (<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'table_open' => '&lt;table border="0" cellpadding="4" cellspacing="0"&gt;',<br />
			<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'heading_row_start' => '&lt;tr&gt;',<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'heading_row_end' => '&lt;/tr&gt;',<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'heading_cell_start' => '&lt;th&gt;',<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'heading_cell_end' => '&lt;/th&gt;',<br />
			<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'row_start' => '&lt;tr&gt;',<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'row_end' => '&lt;/tr&gt;',<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'cell_start' => '&lt;td&gt;',<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'cell_end' => '&lt;/td&gt;',<br />
			<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'row_alt_start' => '&lt;tr&gt;',<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'row_alt_end' => '&lt;/tr&gt;',<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'cell_alt_start' => '&lt;td&gt;',<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'cell_alt_end' => '&lt;/td&gt;',<br />
			<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'table_close' => '&lt;/table&gt;'<br />
			);<br />
			<br />
			$this->table->set_template($template);
		</div>

		<p><i>Note</i>: you will notice there are two sets of 'row' elements.  This allows you to create alternating
		row colours or design elements that alternate with each other row.</p>

		<p>You are not required to submit a template with every element changed.  You only need to change parts of
		the template you need.</p>

		<div class="example">
			$template = array( 'table_open' => '&lt;table cellpadding="2" cellspacing="1" class="tablebox"&gt;');<br />
			<br />
			$this->table->set_template($template);
		</div>
	</div>
</body>

</html>
